# $Id: smeserver-unjunkmgr.spec,v 1.8 2014/04/06 16:20:55 stephdl Exp $
# Authority: jesperknudsen
# Name: Jesper Knudsen

Summary: SME Server UnJunk Manager
%define name smeserver-unjunkmgr
%define version 2.1
%define release 3
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
Patch0:  smeserver-unjunkmgr-2.0-ttfpatch.patch
Patch1: smeserver-unjunkmgr-2.1-patch1.patch
Patch2: smeserver-unjunkmgr-2.1_add_panel_to_server-manager.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7.0
Requires: perl-MIME-Lite => 3
Requires: perl-DateManip => 5.40
Requires: mrtg
Requires: perl-Email-Date-Format
Obsoletes: sme-unjunkmgr

%changelog
* Fri Apr 4 2014 stephane de Labrusse <stephdl@de-labrusse.fr>  2.1-3.sme
- added a unjunkmgr menu entry in the server-manager [sme : 8307] 

* Thu Jun 27 2013 JP Pialasse <tests@pialasse.com> 2.1-2.sme
- fix some php deprecated and PHP warning
- patch1

* Wed Jun 26 2013 JP Pialasse <tests@pialasse.com> 2.1-1.sme
- update JpGraph to fix deprecated messages
- added perl-Email-Date-Format requirement for sme8 as per wiki
- patch ttfpatch

* Tue Jun 25 2013 JP Pialasse <tests@pialasse.com> 2.0-4.sme
- fix db default [SME: 7701]
- patch0
- added createlink in spec file

* Wed Jun 02 2010 Shad L. Lords <slords@mail.com> 2.0-1.sme
- Clean up spec for importing into CVS

* Thu Jun 4 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.3-1
- Added top spammed email stats in GUI and updated CSS to show nicely in IE
- Fixed problem using unjunkhost confg parameter

* Fri Apr 3 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.0-2
- Fixed error in spamreminder.pl line 112 

* Thu Apr 2 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.1.0-1
- Updated to submit statistics more randomly over the hour to avoid congestion on central
- Add pie charts on stats
- Add more configuration options

* Thu Aug 28 2008 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.1-1
- Updated spamreminder.pl to allow non-exisitng Subject fields
- Made dependency of MRTG for RPM
- Make sure to cleanup during un-install

* Fri Aug 22 2008 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.0-1
- First release

%description
SME Server 7x UnJunk Manager which scan the individual users junkmail folders and
sends out a weekly summary where they can unjunk the emails

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
